%define ver	0.6
Name: 		xwave
Version: 	%{ver}
Release: 	2
Copyright: 	GPL
Group: 		Applications/Sound
Summary: 	An audio player, recorder, editor  for the XWindow System.
Packager: 	Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Distribution:	Red Hat Contrib|Net
Vendor:		The Seawood Project
Source: 	ftp://sunsite.unc.edu/pub/Linux/apps/sound/editors/xwave-%{ver}.tar.gz
Patch:	 	ftp://sunsite.unc.edu/pub/Linux/apps/sound/editors/xwave-%{ver}-loop-patch
BuildRoot: 	/var/tmp/build-%{name}

%description
An audio player, recorder, editor  for the XWindow System.

%changelog
* Fri Nov 06 1998 Christopher Seawood <cls@seawood.org>
- Fields updated for RHCN

%prep
%setup -q -n xwave
%patch -p1

%build
xmkmf -a
make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,lib/X11/app-defaults}
install -s -m 755 src/xwave $RPM_BUILD_ROOT/usr/X11R6/bin
install -s -m 755 src/XWave $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING README* Changelog xwave-%{ver}.lsm
%config /usr/X11R6/lib/X11/app-defaults/XWave
/usr/X11R6/bin/xwave

